deleteVpc

Prev Next

Available in VPC

Delete a VPC by specifying the VPC number.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET | POST /vpc/v2/deleteVpc
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For headers common to all VPC APIs, see VPC common headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the VPC to delete
vpcNo String Required Number of the VPC to delete
responseFormatType String Optional Response result format
  • xml (default) | json

Request example

The following is a sample request.

curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/deleteVpc
?regionCode=KR
&vpcNo=***04' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See VpcList for the response body.

Response status codes

For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.

Response example

The following is a sample response.

<deleteVpcResponse>
  <requestId>f6d32d67-ab92-4096-b240-ed2e96d8d265</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>1</totalRows>
  <vpcList>
    <vpc>
      <vpcNo>***04</vpcNo>
      <vpcName>test-***</vpcName>
      <ipv4CidrBlock>***.***.0.0/16</ipv4CidrBlock>
      <vpcStatus>
        <code>TERMTING</code>
        <codeName>terminating</codeName>
      </vpcStatus>
      <regionCode>KR</regionCode>
      <createDate>2020-07-27T17:17:05+0900</createDate>
    </vpc>
  </vpcList>
</deleteVpcResponse>